summaryrefslogtreecommitdiffstats
path: root/multimedia/DivFix++
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/DivFix++')
-rwxr-xr-xmultimedia/DivFix++/DivFix++.SlackBuild82
-rw-r--r--multimedia/DivFix++/DivFix++.info10
-rw-r--r--multimedia/DivFix++/README7
-rw-r--r--multimedia/DivFix++/slack-desc20
4 files changed, 119 insertions, 0 deletions
diff --git a/multimedia/DivFix++/DivFix++.SlackBuild b/multimedia/DivFix++/DivFix++.SlackBuild
new file mode 100755
index 0000000000..ac66537469
--- /dev/null
+++ b/multimedia/DivFix++/DivFix++.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for DivFix++
+
+# Copyright 2010 Roberto Metere <roberto{at}metere{dot}it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=DivFix++
+VERSION=${VERSION:-0.34}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM
+tar xvf $CWD/${PRGNAM}_v$VERSION-src.tar.?z* || exit 1
+cd ${PRGNAM}_v$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Compilation
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+
+# DOCS
+cd $TMP/${PRGNAM}_v$VERSION/docs
+mkdir -p $PKG/usr/doc/${PRGNAM}_v$VERSION
+cp -a Change.log GPL.txt ReadMe.txt \
+ $PKG/usr/doc/${PRGNAM}_v$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/${PRGNAM}_v$VERSION/$PRGNAM.SlackBuild
+
+# Package install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Package creation
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/DivFix++/DivFix++.info b/multimedia/DivFix++/DivFix++.info
new file mode 100644
index 0000000000..314cec0a2f
--- /dev/null
+++ b/multimedia/DivFix++/DivFix++.info
@@ -0,0 +1,10 @@
+PRGNAM="DivFix++"
+VERSION="0.34"
+HOMEPAGE="http://divfixpp.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/divfixpp/DivFix%2B%2B_v0.34-src.tar.bz2"
+MD5SUM="a3809d7f325b10192c840c7fd5a1156e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Metere"
+EMAIL="roberto{at}metere{dot}it"
+APPROVED="Erik Hanson"
diff --git a/multimedia/DivFix++/README b/multimedia/DivFix++/README
new file mode 100644
index 0000000000..9d9bcd10f4
--- /dev/null
+++ b/multimedia/DivFix++/README
@@ -0,0 +1,7 @@
+This program repairs broken AVI file streams by rebuilding index
+part of file. This is very useful when trying to preview movies
+which has no index part, like some files are currently downloading
+from ed2k (eMule) or bittorent networks. DivFix++ specialy designed
+for preview video download files from P2P networks.
+
+Requires wxWidgets (wxPython, wxGTK, or wxX11).
diff --git a/multimedia/DivFix++/slack-desc b/multimedia/DivFix++/slack-desc
new file mode 100644
index 0000000000..a0574b4720
--- /dev/null
+++ b/multimedia/DivFix++/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+DivFix++: DivFix++ (CLI "DivFix" clone)
+DivFix++:
+DivFix++: This program repairs broken AVI file streams by rebuilding index
+DivFix++: part of file. This is very useful when trying to preview movies
+DivFix++: which has no index part, like some files are currently downloading
+DivFix++: from ed2k (eMule) or bittorent networks. DivFix++ specialy designed
+DivFix++: for preview video download files from P2P networks.
+DivFix++:
+DivFix++: Homepage: http://divfixpp.sourceforge.net/
+DivFix++:
+DivFix++:
+DivFix++: